Errai
  1. Errai
  2. ERRAI-441

jboss-errai-kitchensink-archetype based project generates warnings

    Details

    • Type: Bug Bug
    • Status: Open Open (View Workflow)
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 2.0.2.Final, 2.1.1.Final
    • Fix Version/s: None
    • Component/s: Demos and Archetypes
    • Labels:
      None
    • Environment:
      Version: 6.0.0.Alpha2
      Build id: Alpha2-v20121004-2330-B40
      Build date: 20121004-2330
    • Similar Issues:
      Show 10 results 

      Description

      The GWT project generates these warnings:

      No connection specified for project. No database-specific validation will be performed.
      jboss-gwt-webapp

      Overriding managed version 1.0.0.GA for validation-api
      pom.xml /jboss-gwt-webapp
      line 240

      No bean is eligible for injection to the injection point [JSR-299 §5.2.1]
      KitchenSinkApp.java
      /jboss-gwt-webapp/src/main/java/org/jboss/tools/gwt/kitchensink/client/local
      line 41

      Unnecessary @SuppressWarnings("unused")
      Resources.java
      /jboss-gwt-webapp/src/main/java/org/jboss/tools/gwt/kitchensink/util
      line 24

        Issue Links

          Activity

          Hide
          Fred Bricon
          added a comment -

          Sorry, I don't have the rights to change the assignee.

          Show
          Fred Bricon
          added a comment - Sorry, I don't have the rights to change the assignee.
          Hide
          Fred Bricon
          added a comment -

          Show
          Fred Bricon
          added a comment -
          Hide
          Denis Golovin
          added a comment - - edited

          The warnings:

          • 'No beans is eligible for injection'
          • 'Unnecessary @SuppressWarnings("unchecked")'
            disappear after "Maven->Update Project..." called from context menu so it looks like tooling issue

          The warnings below are fixed in master:
          "Overriding managed version ..." can be fixed for m2e tools by <!--$NO-MVN-MAN-VER$--> followed the version node (see bugzilla #346725)
          "Unnecessary @SuppressWarnings("unused")" warning should be removed because JDT never create warning for annotated private unused members.

          Show
          Denis Golovin
          added a comment - - edited The warnings: 'No beans is eligible for injection' 'Unnecessary @SuppressWarnings("unchecked")' disappear after "Maven->Update Project..." called from context menu so it looks like tooling issue The warnings below are fixed in master: "Overriding managed version ..." can be fixed for m2e tools by <!--$NO-MVN-MAN-VER$--> followed the version node (see bugzilla #346725 ) "Unnecessary @SuppressWarnings("unused")" warning should be removed because JDT never create warning for annotated private unused members.

            People

            • Assignee:
              Denis Golovin
              Reporter:
              Fred Bricon
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: